## bochs 2.3.7-maemo2

=== Makefile ===
# Copyright (C) 2002  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
####################################################
# NOTE: To be compatibile with nmake (microsoft vc++) please follow
# the following rules:
#   use $(VAR) not ${VAR}

prefix          = /opt/bochs
exec_prefix     = ${prefix}
srcdir          = .

bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
plugdir         = ${exec_prefix}/lib/bochs/plugins
datarootdir     = ${prefix}/share
mandir          = ${datarootdir}/man
man1dir         = $(mandir)/man1
man5dir         = $(mandir)/man5
docdir          = $(datarootdir)/doc/bochs
sharedir        = $(datarootdir)/bochs
top_builddir    = .
top_srcdir      = $(srcdir)

DESTDIR =

VERSION=2.3.7
VER_STRING=2.3.7
REL_STRING=Build from CVS snapshot, on June 3, 2008
MAN_PAGE_1_LIST=bochs bximage bxcommit bochs-dlx
MAN_PAGE_5_LIST=bochsrc
INSTALL_LIST_SHARE=bios/BIOS-bochs-* bios/VGABIOS* 
INSTALL_LIST_DOC=CHANGES COPYING README TODO
INSTALL_LIST_BIN=bochs bximage bxcommit
INSTALL_LIST_BIN_OPTIONAL=bochsdbg
INSTALL_LIST_WIN32=$(INSTALL_LIST_SHARE) $(INSTALL_LIST_DOC) $(INSTALL_LIST_BIN) $(INSTALL_LIST_BIN_OPTIONAL) niclist
INSTALL_LIST_MACOSX=$(INSTALL_LIST_SHARE) $(INSTALL_LIST_DOC) bochs.scpt
# for win32 and macosx, these files get renamed to *.txt in install process
TEXT_FILE_LIST=README CHANGES COPYING TODO VGABIOS-elpin-LICENSE VGABIOS-lgpl-README
CP=cp
CAT=cat
RM=rm
MV=mv
LN_S=ln -sf
DLXLINUX_TAR=dlxlinux4.tar.gz
DLXLINUX_TAR_URL=http://bochs.sourceforge.net/guestos/$(DLXLINUX_TAR)
DLXLINUX_ROMFILE=BIOS-bochs-latest
GUNZIP=gunzip
WGET=wget
SED=sed
MKDIR=mkdir
RMDIR=rmdir
TAR=tar
CHMOD=chmod
# the GZIP variable is reserved by gzip program
GZIP_BIN=gzip -9
GUNZIP=gunzip
ZIP=zip
UNIX2DOS=unix2dos
LIBTOOL=$(SHELL) $(top_builddir)/libtool
DLLTOOL=dlltool
RC_CMD=

.SUFFIXES: .cc

srcdir = .


SHELL = /bin/sh



CC = gcc
CXX = g++
CFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT $(MCH_CFLAGS) $(FLA_FLAGS)  -DBX_SHARE_PATH='"$(sharedir)"'
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT $(MCH_CFLAGS) $(FLA_FLAGS)  -DBX_SHARE_PATH='"$(sharedir)"'

LDFLAGS = 
LIBS =  -lm
# To compile with readline:
#   linux needs just -lreadline
#   solaris needs -lreadline -lcurses
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
XPM_LIB = 
GUI_LINK_OPTS_X = $(X_LIBS) $(X_PRE_LIBS) -lX11 $(XPM_LIB)
GUI_LINK_OPTS_SDL = `sdl-config --cflags --libs`
GUI_LINK_OPTS_SVGA =  -lvga -lvgagl
GUI_LINK_OPTS_BEOS = -lbe
GUI_LINK_OPTS_RFB = 
GUI_LINK_OPTS_AMIGAOS =
GUI_LINK_OPTS_WIN32 = -luser32 -lgdi32 -lcomdlg32 -lcomctl32 -lwsock32 -lshell32
GUI_LINK_OPTS_WIN32_VCPP = user32.lib gdi32.lib winmm.lib \
  comdlg32.lib comctl32.lib wsock32.lib advapi32.lib shell32.lib
GUI_LINK_OPTS_MACOS =
GUI_LINK_OPTS_CARBON = -framework Carbon
GUI_LINK_OPTS_NOGUI =
GUI_LINK_OPTS_TERM = 
GUI_LINK_OPTS_WX = 
GUI_LINK_OPTS =  $(GUI_LINK_OPTS_SDL)  
RANLIB = ranlib

CFLAGS_CONSOLE = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES $(MCH_CFLAGS) $(FLA_FLAGS)
CXXFLAGS_CONSOLE = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES $(MCH_CFLAGS) $(FLA_FLAGS)
BXIMAGE_LINK_OPTS = 

BX_INCDIRS = -I. -I$(srcdir)/. -Iinstrument/stubs -I$(srcdir)/instrument/stubs

#SUBDIRS = iodev bx_debug

#all install uninstall: config.h#
#        for subdir in $(SUBDIRS); do #
#          echo making $@ in $$subdir; #
#          ($(MAKE) -C $$subdir $(MDEFINES) $@) || exit 1; #
#        done#



# gnu flags for clean up
#CFLAGS  = -ansi -O -g -Wunused -Wuninitialized


NONINLINE_OBJS = \
	logio.o \
	main.o \
	config.o \
	load32bitOShack.o \
	pc_system.o \
	osdep.o \
	plugin.o \
	crc.o \
	

EXTERN_ENVIRONMENT_OBJS = \
	main.o \
	config.o \
	load32bitOShack.o \
	pc_system.o

DEBUGGER_LIB   = bx_debug/libdebug.a
DISASM_LIB     = disasm/libdisasm.a
INSTRUMENT_LIB = instrument/stubs/libinstrument.a
FPU_LIB        = fpu/libfpu.a
READLINE_LIB   = 
EXTRA_LINK_OPTS = 

GDBSTUB_OBJS = gdbstub.o

BX_OBJS = $(NONINLINE_OBJS)

BX_INCLUDES = bochs.h config.h osdep.h


.cc.o:
	$(CXX) -c $(BX_INCDIRS) $(CXXFLAGS) $< -o $@
.c.o:
	$(CC) -c $(BX_INCDIRS) $(CFLAGS) $(FPU_FLAGS) $< -o $@


all: bochs  bximage bxcommit build_docbook



bochs: iodev/libiodev.a  \
           cpu/libcpu.a memory/libmemory.a gui/libgui.a \
           $(DISASM_LIB)  $(BX_OBJS) \
           $(SIMX86_OBJS) $(FPU_LIB)  
	$(LIBTOOL) --mode=link $(CXX) -o $@ $(CXXFLAGS) $(LDFLAGS) -export-dynamic $(BX_OBJS) $(SIMX86_OBJS) \
		iodev/libiodev.a  cpu/libcpu.a memory/libmemory.a gui/libgui.a \
		$(DISASM_LIB)   \
		 $(FPU_LIB) \
		$(GUI_LINK_OPTS) \
		$(MCH_LINK_FLAGS) \
		$(SIMX86_LINK_FLAGS) \
		$(READLINE_LIB) \
		$(EXTRA_LINK_OPTS) \
		$(LIBS)

# Special make target for cygwin/mingw using dlltool instead of
# libtool.  This creates a .DEF file, and exports file, an import library,
# and then links bochs.exe with the exports file.
.win32_dll_plugin_target: iodev/libiodev.a  \
           cpu/libcpu.a memory/libmemory.a gui/libgui.a \
           $(DISASM_LIB)  $(BX_OBJS) \
           $(SIMX86_OBJS) $(FPU_LIB)  
	$(DLLTOOL) --export-all-symbols --output-def bochs.def \
		$(BX_OBJS) $(SIMX86_OBJS) \
		iodev/libiodev.a cpu/libcpu.a memory/libmemory.a gui/libgui.a \
		 $(DISASM_LIB)   \
		 $(FPU_LIB)
	$(DLLTOOL) --dllname bochs.exe --def bochs.def --output-lib dllexports.a
	$(DLLTOOL) --dllname bochs.exe --output-exp bochs.exp --def bochs.def
	$(CXX) -o bochs.exe $(CXXFLAGS) $(LDFLAGS) -export-dynamic \
	    $(BX_OBJS) bochs.exp $(SIMX86_OBJS) \
		iodev/libiodev.a cpu/libcpu.a memory/libmemory.a gui/libgui.a \
		 $(DISASM_LIB)   \
		 $(FPU_LIB) \
		$(GUI_LINK_OPTS) \
		$(MCH_LINK_FLAGS) \
		$(SIMX86_LINK_FLAGS) \
		$(READLINE_LIB) \
		$(EXTRA_LINK_OPTS) \
		$(LIBS)
	touch .win32_dll_plugin_target

bochs_plugins:
	cd gui && \
	$(MAKE) plugins
	echo done
	cd iodev && \
	$(MAKE) plugins
	echo done

bximage: misc/bximage.o
	$(LIBTOOL) --mode=link $(CXX) -o $@ $(CXXFLAGS_CONSOLE) $(LDFLAGS) $(BXIMAGE_LINK_OPTS) misc/bximage.o

bxcommit: misc/bxcommit.o
	$(LIBTOOL) --mode=link $(CXX) -o $@ $(CXXFLAGS_CONSOLE) $(LDFLAGS) misc/bxcommit.o

niclist: misc/niclist.o
	$(LIBTOOL) --mode=link $(CXX) -o $@ $(CXXFLAGS_CONSOLE) $(LDFLAGS) misc/niclist.o

# compile with console CXXFLAGS, not gui CXXFLAGS
misc/bximage.o: $(srcdir)/misc/bximage.c $(srcdir)/iodev/hdimage.h
	$(CC) -c $(BX_INCDIRS) $(CFLAGS_CONSOLE) $(srcdir)/misc/bximage.c -o $@

misc/bxcommit.o: $(srcdir)/misc/bxcommit.c $(srcdir)/iodev/hdimage.h
	$(CC) -c $(BX_INCDIRS) $(CFLAGS_CONSOLE) $(srcdir)/misc/bxcommit.c -o $@

misc/niclist.o: $(srcdir)/misc/niclist.c
	$(CC) -c $(BX_INCDIRS) $(CFLAGS_CONSOLE) $(srcdir)/misc/niclist.c -o $@

$(BX_OBJS): $(BX_INCLUDES)

# cannot use -C option to be compatible with Microsoft nmake
iodev/libiodev.a::
	cd iodev && \
	$(MAKE) $(MDEFINES) libiodev.a
	echo done

bx_debug/libdebug.a::
	cd bx_debug && \
	$(MAKE) $(MDEFINES) libdebug.a
	echo done

cpu/libcpu.a::
	cd cpu && \
	$(MAKE) $(MDEFINES) libcpu.a
	echo done

memory/libmemory.a::
	cd memory && \
	$(MAKE) $(MDEFINES) libmemory.a
	echo done

gui/libgui.a::
	cd gui && \
	$(MAKE) $(MDEFINES) libgui.a
	echo done

disasm/libdisasm.a::
	cd disasm && \
	$(MAKE) $(MDEFINES) libdisasm.a
	echo done

instrument/stubs/libinstrument.a::
	cd instrument/stubs && \
	$(MAKE) $(MDEFINES) libinstrument.a
	echo done

fpu/libfpu.a::
	cd fpu && \
	$(MAKE) $(MDEFINES) libfpu.a
	echo done

libbochs.a:
	-rm -f libbochs.a
	ar rv libbochs.a $(EXTERN_ENVIRONMENT_OBJS)
	$(RANLIB) libbochs.a

libbochs_cpu.a:  $(BX_OBJS)
	-rm -f libbochs_cpu.a
	ar rv libbochs_cpu.a $(BX_OBJS)
	$(RANLIB) libbochs_cpu.a

# for wxWidgets port, on win32 platform
wxbochs_resources.o: wxbochs.rc
	windres $(srcdir)/wxbochs.rc -o $@ --include-dir=`not_found --prefix`/include

# for win32 gui
win32res.o: win32res.rc bxversion.rc
	$(RC_CMD)$@ $(srcdir)/win32res.rc

#####################################################################
# Install target for all platforms.
#####################################################################

install: all install_unix

#####################################################################
# Install target for win32
#
# This is intended to be run in cygwin, since it has better scripting
# tools.
#####################################################################

install_win32: download_dlx install_docbook
	-mkdir -p $(prefix)
	cp obj-release/*.exe .
	for i in $(INSTALL_LIST_WIN32); do if test -f $$i; then cp $$i $(prefix); else cp $(srcdir)/$$i $(prefix); fi; done
	cp $(srcdir)/misc/sb16/sb16ctrl.example $(prefix)/sb16ctrl.txt
	cp $(srcdir)/misc/sb16/sb16ctrl.exe $(prefix)
	#cat $(srcdir)/build/win32/DOC-win32.htm | $(SED) -e 's/2.3.7/$(VERSION)/g' > $(prefix)/DOC-win32.htm
	cp $(srcdir)/.bochsrc $(prefix)/bochsrc-sample.txt
	-mkdir $(prefix)/keymaps
	cp $(srcdir)/gui/keymaps/*.map $(prefix)/keymaps
	cat $(DLXLINUX_TAR) | (cd $(prefix) && tar xzvf -)
	echo '..\bochs' > $(prefix)/dlxlinux/start.bat
	dlxrc=$(prefix)/dlxlinux/bochsrc.txt; mv $$dlxrc $$dlxrc.orig && sed < $$dlxrc.orig 's/\/usr\/local\/bochs\/latest/../' > $$dlxrc && rm -f $$dlxrc.orig
	mv $(prefix)/README $(prefix)/README.orig
	cat $(srcdir)/build/win32/README.win32-binary $(prefix)/README.orig > $(prefix)/README
	rm -f $(prefix)/README.orig
	for i in $(TEXT_FILE_LIST); do mv $(prefix)/$$i $(prefix)/$$i.txt; done
	cd $(prefix); $(UNIX2DOS) *.txt */*.txt
	cd $(prefix); NAME=`pwd|$(SED) 's/.*\///'`; (cd ..; $(ZIP) $$NAME.zip -r $$NAME); ls -l ../$$NAME.zip

#####################################################################
# install target for unix
#####################################################################

install_unix: install_bin  install_man install_share install_doc install_docbook

install_bin::
	for i in $(DESTDIR)$(bindir); do mkdir -p $$i && test -d $$i && test -w $$i; done
	for i in $(INSTALL_LIST_BIN); do if test -f $$i; then install $$i $(DESTDIR)$(bindir); else install $(srcdir)/$$i $(DESTDIR)$(bindir); fi; done
	-for i in $(INSTALL_LIST_BIN_OPTIONAL); do if test -f $$i; then install $$i $(DESTDIR)$(bindir); else install $(srcdir)/$$i $(DESTDIR)$(bindir); fi; done

install_libtool_plugins::
	for i in $(DESTDIR)$(plugdir); do mkdir -p $$i && test -d $$i && test -w $$i; done
	list=`cd gui && echo *.la`; for i in $$list; do $(LIBTOOL) --mode=install install gui/$$i $(DESTDIR)$(plugdir); done
	list=`cd iodev && echo *.la`; for i in $$list; do $(LIBTOOL) --mode=install install iodev/$$i $(DESTDIR)$(plugdir); done
	$(LIBTOOL) --finish $(DESTDIR)$(plugdir)

install_dll_plugins::
	for i in $(DESTDIR)$(plugdir); do mkdir -p $$i && test -d $$i && test -w $$i; done
	list=`cd gui && echo *.dll`; for i in $$list; do cp gui/$$i $(DESTDIR)$(plugdir); done
	list=`cd iodev && echo *.dll`; for i in $$list; do cp iodev/$$i $(DESTDIR)$(plugdir); done

install_share::
	for i in $(DESTDIR)$(sharedir);	do mkdir -p $$i && test -d $$i && test -w $$i; done
	for i in $(INSTALL_LIST_SHARE); do if test -f $$i; then install -m 644 $$i $(DESTDIR)$(sharedir); else install -m 644 $(srcdir)/$$i $(DESTDIR)$(sharedir); fi; done
	-mkdir $(DESTDIR)$(sharedir)/keymaps

=== bios/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

# Makefile for the BIOS component of bochs


.SUFFIXES: .cc

srcdir = .


SHELL = /bin/sh



CXX = g++
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES

LDFLAGS = 
LIBS =  -lm
RANLIB = ranlib

BCC = bcc
GCC = gcc
GCC32 = gcc -m32
AS86 = as86

BX_INCDIRS = -I.. -I$(srcdir)/.. -I../iodev -I$(srcdir)/../iodev
LOCAL_CXXFLAGS =

BUILDDATE = `date '+%m/%d/%y'`
BIOS_BUILD_DATE = "-DBIOS_BUILD_DATE=\"$(BUILDDATE)\""
#
# -------- end configurable options --------------------------
#


.cc.o:
	$(CXX) -c $(BX_INCDIRS) $(CXXFLAGS) $(LOCAL_CXXFLAGS) $< -o $@


bios: biossums BIOS-bochs-latest BIOS-bochs-legacy

clean:
	rm -f  *.o *.a *.s _rombios*_.c rombios*.txt rombios*.sym
	rm -f  usage biossums rombios16.bin
	rm -f  rombios32.bin rombios32.out

dist-clean: clean
	rm -f  Makefile

bios-clean:
	rm -f  BIOS-bochs-*

BIOS-bochs-legacy: rombios.c apmbios.S biossums rombios.h
	$(GCC32) $(BIOS_BUILD_DATE) -DLEGACY -E -P $< > _rombiosl_.c
	$(BCC) -o rombiosl.s -C-c -D__i86__ -0 -S _rombiosl_.c
	sed -e 's/^\.text//' -e 's/^\.data//' rombiosl.s > _rombiosl_.s
	$(AS86) _rombiosl_.s -b tmpl.bin -u- -w- -g -0 -j -O -l rombiosl.txt
	-perl ${srcdir}/makesym.perl < rombiosl.txt > rombiosl.sym
	mv tmpl.bin $@
	./biossums $@
	rm -f  _rombiosl_.s


rombios16.bin: rombios.c apmbios.S biossums rombios.h
	$(GCC32) $(BIOS_BUILD_DATE) -E -P $< > _rombios_.c
	$(BCC) -o rombios.s -C-c -D__i86__ -0 -S _rombios_.c
	sed -e 's/^\.text//' -e 's/^\.data//' rombios.s > _rombios_.s
	$(AS86) _rombios_.s -b tmp.bin -u- -w- -g -0 -j -O -l rombios.txt
	-perl ${srcdir}/makesym.perl < rombios.txt > rombios.sym
	mv tmp.bin rombios16.bin
	./biossums rombios16.bin
	rm -f  _rombios_.s


rombios32.bin: rombios32.out rombios.h
	objcopy -O binary $< $@
	./biossums -pad $@

rombios32.out: rombios32start.o rombios32.o rombios32.ld
	ld -o $@ -T rombios32.ld rombios32start.o rombios32.o

rombios32.o: rombios32.c acpi-dsdt.hex
	$(GCC32) -O2 -Wall -c -o $@ $<

ifeq ("1", "0")
acpi-dsdt.hex: acpi-dsdt.dsl
	iasl -tc -p $@ $<
endif

rombios32start.o: rombios32start.S
	$(GCC32) -c -o $@ $<

BIOS-bochs-latest: rombios16.bin rombios32.bin
	cat rombios32.bin rombios16.bin > $@

biossums: biossums.c
	$(GCC) -o biossums biossums.c

=== bx_debug/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA



.SUFFIXES: .cc

srcdir = .

top_builddir    = ..
top_srcdir      = ..

SHELL = /bin/sh



CC = gcc
CFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
CXX = g++
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT

LDFLAGS = 
LIBS =  -lm
RANLIB = ranlib

# Definitely use flex.  Use flex version >= 2.5.4
# Flex version 2.5.2 was reported not to work
LEX    = flex
YACC   = yacc


# ===========================================================
# end of configurable options
# ===========================================================


BX_OBJS = \
  dbg_main.o \
  symbols.o \
  linux.o \

BX_PARSER_OBJS = \
  parser.o \
  lexer.o

BX_INCLUDES = debug.h

BX_INCDIRS = -I.. -I$(srcdir)/.. -I../instrument/stubs -I$(srcdir)/../instrument/stubs -I. -I$(srcdir)/.

all: libdebug.a

.cc.o:
	$(CXX) -c $(BX_INCDIRS) $(CXXFLAGS) $< -o $@


.c.o:
	$(CC) -c $(BX_INCDIRS) $(CFLAGS) $< -o $@



libdebug.a: $(BX_OBJS) $(BX_PARSER_OBJS)
	rm -f  libdebug.a
	ar rv $@ $(BX_OBJS) $(BX_PARSER_OBJS)
	$(RANLIB) libdebug.a

$(BX_OBJS): $(BX_INCLUDES)


clean:
	rm -f  *.o
	rm -f  libdebug.a

dist-clean: clean
	rm -f  Makefile

parse-clean:
	rm -f  -f  lexer.c
	rm -f  -f  parser.c
	rm -f  -f  parser.h

dbg_main.o: debug.h
sim2.o: debug.h

parser.c: parser.y
	@/bin/rm -f y.tab.c parser.c
	@/bin/rm -f y.tab.h parser.h
	$(YACC) -p bx -d $<
	@/bin/mv -f y.tab.c parser.c
	@/bin/mv -f y.tab.h parser.h
	@echo '#endif  /* if BX_DEBUGGER */' >> parser.c
	@echo '/* The #endif is appended by the makefile after running yacc. */' >> parser.c

lexer.c: lexer.l
	$(LEX) -Pbx -t $< > lexer.c

###########################################
# dependencies generated by
#  gcc -MM -I. -I.. -I../instrument/stubs *.c  *.cc | sed 's/\.cc/.cc/g'
###########################################
lexer.o: lexer.c debug.h ../config.h ../osdep.h
parser.o: parser.c debug.h ../config.h ../osdep.h
dbg_main.o: dbg_main.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h ../cpu/cpu.h \
  ../cpu/instr.h ../cpu/crregs.h ../cpu/lazy_flags.h  ../cpu/icache.h \
  ../cpu/apic.h ../cpu/i387.h ../fpu/softfloat.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h ../memory/memory.h \
  ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h ../gui/gui.h  \
  ../gui/textconfig.h ../gui/keymap.h ../instrument/stubs/instrument.h \
  ../iodev/iodev.h ../iodev/pci.h ../iodev/pci2isa.h ../iodev/pci_ide.h \
  ../iodev/pcivga.h ../iodev/pcidev.h ../iodev/pciusb.h ../iodev/vga.h \
  ../iodev/ioapic.h ../iodev/biosdev.h ../iodev/cmos.h ../iodev/dma.h \
  ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h ../iodev/pit82c54.h \
  ../iodev/virt_timer.h ../iodev/serial.h ../iodev/sb16.h \
  ../iodev/unmapped.h ../iodev/ne2k.h ../iodev/guest2host.h \
  ../iodev/slowdown_timer.h ../iodev/extfpuirq.h ../iodev/gameport.h
linux.o: linux.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../cpu/cpu.h ../cpu/instr.h \
  ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h ../cpu/i387.h ../cpu/crregs.h \
  ../fpu/softfloat.h ../fpu/tag_w.h ../fpu/status_w.h ../fpu/control_w.h \
  ../cpu/xmm.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h
symbols.o: symbols.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../cpu/cpu.h ../cpu/instr.h \
  ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h ../cpu/i387.h ../cpu/crregs.h \
  ../fpu/softfloat.h ../fpu/tag_w.h ../fpu/status_w.h ../fpu/control_w.h \
  ../cpu/xmm.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h

=== cpu/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA


.SUFFIXES: .cc

srcdir = .

top_builddir    = ..
top_srcdir      = ..

SHELL = /bin/sh



CXX = g++
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT

LDFLAGS = 
LIBS =  -lm
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
RANLIB = ranlib



BX_INCDIRS = -I.. -I$(srcdir)/.. -I../instrument/stubs -I$(srcdir)/../instrument/stubs

EXT_DEBUG_OBJS = 

# Objects which are synced between the cpu and cpu64 code and
# are used for either compile.
OBJS = \
	init.o \
	cpu.o \
	icache.o \
	resolve.o \
	fetchdecode.o \
	access.o \
	shift16.o \
	logical16.o \
	ctrl_xfer32.o \
	ctrl_xfer16.o \
	mmx.o \
	3dnow.o \
	fpu_emu.o \
	sse.o \
	sse_move.o \
	sse_pfp.o \
	sse_rcp.o \
	sse_string.o \
	xsave.o \
	aes.o \
	soft_int.o \
	io_pro.o \
	apic.o \
	bcd.o \
	mult16.o \
	tasking.o \
	shift32.o \
	shift8.o \
	arith8.o \
	stack16.o \
	protect_ctrl.o \
	mult8.o \
	data_xfer8.o \
	vm8086.o \
	logical8.o \
	logical32.o \
	arith16.o \
	segment_ctrl.o \
	ctrl_xfer8.o \
	data_xfer16.o \
	data_xfer32.o \
	exception.o \
	cpuid.o \
	proc_ctrl.o \
	smm.o \
	lazy_flags.o \
	flag_ctrl_pro.o \
	stack32.o \
	debugstuff.o \
	flag_ctrl.o \
	mult32.o \
	arith32.o \
	jmp_far.o \
	call_far.o \
	ret_far.o \
	iret.o \
	ctrl_xfer_pro.o \
	segment_ctrl_pro.o \
	io.o \
	bit.o \
	bit16.o \
	bit32.o \
	string.o \
	paging.o \
	$(EXT_DEBUG_OBJS)
	
# Objects which are only used for x86-64 code
OBJS64 = \
	access64.o \
	arith64.o \
	ctrl_xfer64.o \
	data_xfer64.o \
	fetchdecode64.o \
	logical64.o \
	mult64.o \
	shift64.o \
	bit64.o \
	stack64.o

BX_INCLUDES = ../bochs.h ../config.h


all: libcpu.a

.cc.o:
	$(CXX) -c $(BX_INCDIRS) $(CXXFLAGS) $< -o $@


libcpu.a: $(OBJS) 
	rm -f  libcpu.a
	ar rv $@ $(OBJS) 
	$(RANLIB) libcpu.a

$(OBJS): $(BX_INCLUDES)

$(OBJS64): $(BX_INCLUDES)

clean:
	rm -f  *.o
	rm -f  *.a

dist-clean: clean
	rm -f  Makefile

###########################################
# dependencies generated by
#  gcc -MM -I.. -I../instrument/stubs *.cc | sed 's/\.cc/.cc/g'
###########################################
3dnow.o: 3dnow.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
access.o: access.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
access64.o: access64.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
apic.o: apic.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h \
  ../iodev/iodev.h ../bochs.h ../iodev/pci.h ../iodev/pci2isa.h \
  ../iodev/pci_ide.h ../iodev/acpi.h ../iodev/pcivga.h ../iodev/vga.h \
  ../iodev/svga_cirrus.h ../iodev/ioapic.h ../cpu/apic.h \
  ../iodev/biosdev.h ../iodev/cmos.h ../iodev/dma.h ../iodev/floppy.h \
  ../iodev/harddrv.h ../iodev/keyboard.h ../iodev/parallel.h \
  ../iodev/pic.h ../iodev/pit_wrap.h ../iodev/pit82c54.h \
  ../iodev/virt_timer.h ../iodev/serial.h ../iodev/unmapped.h \
  ../iodev/ne2k.h ../iodev/guest2host.h ../iodev/slowdown_timer.h \
  ../iodev/extfpuirq.h ../iodev/gameport.h
arith16.o: arith16.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h cpu.h \
  ../disasm/disasm.h ../config.h crregs.h descriptor.h instr.h \
  lazy_flags.h icache.h apic.h ../cpu/i387.h ../fpu/softfloat.h \
  ../config.h ../fpu/tag_w.h ../fpu/status_w.h ../fpu/control_w.h \
  ../cpu/xmm.h stack.h
arith32.o: arith32.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h cpu.h \
  ../disasm/disasm.h ../config.h crregs.h descriptor.h instr.h \
  lazy_flags.h icache.h apic.h ../cpu/i387.h ../fpu/softfloat.h \
  ../config.h ../fpu/tag_w.h ../fpu/status_w.h ../fpu/control_w.h \
  ../cpu/xmm.h stack.h
arith64.o: arith64.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h cpu.h \
  ../disasm/disasm.h ../config.h crregs.h descriptor.h instr.h \
  lazy_flags.h icache.h apic.h ../cpu/i387.h ../fpu/softfloat.h \
  ../config.h ../fpu/tag_w.h ../fpu/status_w.h ../fpu/control_w.h \
  ../cpu/xmm.h stack.h
arith8.o: arith8.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
bcd.o: bcd.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
bit.o: bit.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
bit16.o: bit16.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
bit32.o: bit32.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
bit64.o: bit64.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h
call_far.o: call_far.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h cpu.h \
  ../disasm/disasm.h ../config.h crregs.h descriptor.h instr.h \
  lazy_flags.h icache.h apic.h ../cpu/i387.h ../fpu/softfloat.h \
  ../config.h ../fpu/tag_w.h ../fpu/status_w.h ../fpu/control_w.h \
  ../cpu/xmm.h stack.h
cpu.o: cpu.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h cpu.h ../disasm/disasm.h ../config.h \
  crregs.h descriptor.h instr.h lazy_flags.h icache.h apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h stack.h \
  ../iodev/iodev.h ../bochs.h ../iodev/pci.h ../iodev/pci2isa.h \
  ../iodev/pci_ide.h ../iodev/acpi.h ../iodev/pcivga.h ../iodev/vga.h \
  ../iodev/svga_cirrus.h ../iodev/ioapic.h ../cpu/apic.h \
  ../iodev/biosdev.h ../iodev/cmos.h ../iodev/dma.h ../iodev/floppy.h \
  ../iodev/harddrv.h ../iodev/keyboard.h ../iodev/parallel.h \
  ../iodev/pic.h ../iodev/pit_wrap.h ../iodev/pit82c54.h \
  ../iodev/virt_timer.h ../iodev/serial.h ../iodev/unmapped.h \

=== disasm/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA


.SUFFIXES: .cc

srcdir = .

top_builddir    = ..
top_srcdir      = ..

SHELL = /bin/sh



CXX = g++
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT

LDFLAGS = 
LIBS =  -lm
RANLIB = ranlib


# ===========================================================
# end of configurable options
# ===========================================================


BX_OBJS = \
  dis_decode.o \
  dis_groups.o \
  resolve.o    \
  syntax.o

BX_INCLUDES = disasm.h

BX_INCDIRS = -I.. -I$(srcdir)/.. -I../instrument/stubs -I$(srcdir)/../instrument/stubs

all: libdisasm.a

.cc.o:
	$(CXX) -c $(BX_INCDIRS) $(CXXFLAGS) $< -o $@



libdisasm.a: $(BX_OBJS)
	rm -f  libdisasm.a
	ar rv $@ $(BX_OBJS)
	$(RANLIB) libdisasm.a

$(BX_OBJS): $(BX_INCLUDES)


clean:
	rm -f  *.o
	rm -f  *.a

dist-clean: clean
	rm -f  Makefile

###########################################
# dependencies generated by
#  gcc -MM -I.. -I../instrument/stubs *.cc | sed 's/\.cc/.cc/g'
###########################################
dis_decode.o: dis_decode.cc disasm.h ../config.h dis_tables.h opcodes.inc dis_tables.inc
dis_groups.o: dis_groups.cc disasm.h ../config.h
resolve.o: resolve.cc disasm.h ../config.h
syntax.o: syntax.cc disasm.h ../config.h

=== fpu/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

.SUFFIXES: .cc

srcdir = .

top_builddir    = ..
top_srcdir      = ..

SHELL = /bin/sh



CC       = gcc
CFLAGS   = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
CXX      = g++
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT

#CFLAGS  = -Wall -Wstrict-prototypes -fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce -mpreferred-stack-boundary=2 -DCPU=686 -march=i686

LDFLAGS    = 
LIBS       =  -lm
RANLIB     = ranlib

L_TARGET = libfpu.a


BX_INCDIRS = -I.. -I$(srcdir)/.. -I../instrument/stubs -I$(srcdir)/../instrument/stubs -I. -I$(srcdir)/. -I./stubs -I$(srcdir)/./stubs

OBJS = ferr.o fpu.o fpu_arith.o fpu_compare.o fpu_const.o \
               fpu_load_store.o fpu_misc.o fpu_trans.o fpu_tags.o \
               fprem.o fsincos.o f2xm1.o fyl2x.o fpatan.o \
               softfloat.o softfloatx80.o softfloat-specialize.o \
               softfloat-round-pack.o poly.o

all: libfpu.a

.cc.o:
	$(CXX) -c $(BX_INCDIRS) $(CXXFLAGS) $< -o $@

.c.o:
	$(CC) -c $(CFLAGS) $(BX_INCDIRS) $< -o $@


libfpu.a: $(OBJS)
	rm -f  libfpu.a
	ar rv $@ $(OBJS)
	$(RANLIB) libfpu.a

clean:
	rm -f  *.o
	rm -f  *.a

dist-clean: clean
	rm -f  Makefile

###########################################
# dependencies generated by
#  gcc -MM -I.. -I../instrument/stubs *.cc | sed -e 's/\.cc/.cc/g'
###########################################
f2xm1.o: f2xm1.cc softfloatx80.h softfloat.h ../config.h \
  softfloat-specialize.h softfloat-macros.h softfloat-round-pack.h
ferr.o: ferr.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../cpu/cpu.h ../disasm/disasm.h \
  ../config.h ../cpu/crregs.h ../cpu/descriptor.h ../cpu/instr.h \
  ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h ../cpu/i387.h \
  ../fpu/softfloat.h ../config.h ../fpu/tag_w.h ../fpu/status_w.h \
  ../fpu/control_w.h ../cpu/xmm.h ../cpu/stack.h softfloat-specialize.h \
  softfloat.h
fpatan.o: fpatan.cc softfloatx80.h softfloat.h ../config.h \
  softfloat-specialize.h softfloat-macros.h softfloat-round-pack.h \
  fpu_constant.h
fprem.o: fprem.cc softfloatx80.h softfloat.h ../config.h \
  softfloat-specialize.h softfloat-round-pack.h softfloat-macros.h
fpu.o: fpu.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../cpu/cpu.h ../disasm/disasm.h \
  ../config.h ../cpu/crregs.h ../cpu/descriptor.h ../cpu/instr.h \
  ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h ../cpu/i387.h \
  ../fpu/softfloat.h ../config.h ../fpu/tag_w.h ../fpu/status_w.h \
  ../fpu/control_w.h ../cpu/xmm.h ../cpu/stack.h ../iodev/iodev.h \
  ../bochs.h ../iodev/pci.h ../iodev/pci2isa.h ../iodev/pci_ide.h \
  ../iodev/acpi.h ../iodev/pcivga.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h \
  ../iodev/pit82c54.h ../iodev/virt_timer.h ../iodev/serial.h \
  ../iodev/unmapped.h ../iodev/ne2k.h ../iodev/guest2host.h \
  ../iodev/slowdown_timer.h ../iodev/extfpuirq.h ../iodev/gameport.h
fpu_arith.o: fpu_arith.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../cpu/cpu.h \
  ../disasm/disasm.h ../config.h ../cpu/crregs.h ../cpu/descriptor.h \
  ../cpu/instr.h ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h ../cpu/stack.h
fpu_compare.o: fpu_compare.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../cpu/cpu.h \
  ../disasm/disasm.h ../config.h ../cpu/crregs.h ../cpu/descriptor.h \
  ../cpu/instr.h ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h ../cpu/stack.h \
  softfloatx80.h softfloat.h softfloat-specialize.h
fpu_const.o: fpu_const.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../cpu/cpu.h \
  ../disasm/disasm.h ../config.h ../cpu/crregs.h ../cpu/descriptor.h \
  ../cpu/instr.h ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h ../cpu/stack.h \
  softfloatx80.h softfloat.h softfloat-specialize.h
fpu_load_store.o: fpu_load_store.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../cpu/cpu.h \
  ../disasm/disasm.h ../config.h ../cpu/crregs.h ../cpu/descriptor.h \
  ../cpu/instr.h ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h ../cpu/stack.h \
  softfloatx80.h softfloat.h softfloat-specialize.h
fpu_misc.o: fpu_misc.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../cpu/cpu.h \
  ../disasm/disasm.h ../config.h ../cpu/crregs.h ../cpu/descriptor.h \
  ../cpu/instr.h ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h ../cpu/stack.h \
  softfloatx80.h softfloat.h softfloat-specialize.h
fpu_tags.o: fpu_tags.cc ../config.h softfloat.h ../config.h \
  softfloat-specialize.h ../cpu/i387.h ../fpu/softfloat.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h
fpu_trans.o: fpu_trans.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../cpu/cpu.h \
  ../disasm/disasm.h ../config.h ../cpu/crregs.h ../cpu/descriptor.h \
  ../cpu/instr.h ../cpu/lazy_flags.h ../cpu/icache.h ../cpu/apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h ../cpu/stack.h \
  softfloatx80.h softfloat.h softfloat-specialize.h
fsincos.o: fsincos.cc softfloatx80.h softfloat.h ../config.h \
  softfloat-specialize.h softfloat-macros.h softfloat-round-pack.h \
  fpu_constant.h
fyl2x.o: fyl2x.cc softfloatx80.h softfloat.h ../config.h \
  softfloat-specialize.h softfloat-macros.h softfloat-round-pack.h \
  fpu_constant.h
poly.o: poly.cc softfloat.h ../config.h
softfloat-round-pack.o: softfloat-round-pack.cc softfloat.h ../config.h \
  softfloat-round-pack.h softfloat-macros.h softfloat-specialize.h
softfloat-specialize.o: softfloat-specialize.cc softfloat.h ../config.h \
  softfloat-specialize.h softfloat-macros.h
softfloat.o: softfloat.cc softfloat.h ../config.h softfloat-round-pack.h \
  softfloat-macros.h softfloat-specialize.h
softfloatx80.o: softfloatx80.cc softfloatx80.h softfloat.h ../config.h \
  softfloat-specialize.h softfloat-round-pack.h softfloat-macros.h

=== gui/Makefile ===
# Copyright (C) 2002  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

# Makefile for the gui component of bochs


.SUFFIXES: .cc

prefix          = /opt/bochs
exec_prefix     = ${prefix}
srcdir          = .

bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
datarootdir     = ${prefix}/share
mandir          = ${datarootdir}/man
man1dir         = $(mandir)/man1
man5dir         = $(mandir)/man5
docdir          = $(datarootdir)/doc/bochs
sharedir        = $(datarootdir)/bochs
top_builddir    = ..
top_srcdir      = ..

SHELL = /bin/sh



CXX = g++
CXXFLAGS = $(BX_INCDIRS) -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES   -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
LOCAL_CXXFLAGS =
LDFLAGS = 
LIBS =  -lm
X_CFLAGS = 
RANLIB = ranlib
PLUGIN_PATH=${exec_prefix}/lib
top_builddir    = ..
LIBTOOL=$(SHELL) $(top_builddir)/libtool
WIN32_DLL_IMPORT_LIBRARY=../dllexports.a
BX_INCDIRS = -I.. -I$(srcdir)/.. -I../iodev -I$(srcdir)/../iodev -I../instrument/stubs -I$(srcdir)/../instrument/stubs

GUI_OBJS_X11  = x.o
GUI_OBJS_SDL = sdl.o
GUI_OBJS_SVGA = svga.o
GUI_OBJS_BEOS = beos.o
GUI_OBJS_WIN32 = win32.o
GUI_OBJS_MACOS = macintosh.o
GUI_OBJS_CARBON = carbon.o
GUI_OBJS_NOGUI = nogui.o
GUI_OBJS_TERM  = term.o
GUI_OBJS_RFB = rfb.o
GUI_OBJS_AMIGAOS = amigaos.o
GUI_OBJS_WX = wx.o
GUI_OBJS_WX_SUPPORT = wxmain.o wxdialog.o
OBJS_THAT_CANNOT_BE_PLUGINS = keymap.o gui.o siminterface.o textconfig.o 
OBJS_THAT_CAN_BE_PLUGINS = 

X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
GUI_LINK_OPTS_X = $(X_LIBS) $(X_PRE_LIBS) -lX11 -lXpm
GUI_LINK_OPTS_SDL = `sdl-config --cflags --libs`
GUI_LINK_OPTS_SVGA =  -lvga -lvgagl
GUI_LINK_OPTS_BEOS = -lbe
GUI_LINK_OPTS_RFB = 
GUI_LINK_OPTS_AMIGAOS =
GUI_LINK_OPTS_WIN32 = -luser32 -lgdi32 -lcomdlg32 -lcomctl32
GUI_LINK_OPTS_WIN32_VCPP = user32.lib gdi32.lib winmm.lib \
  comdlg32.lib comctl32.lib wsock32.lib
GUI_LINK_OPTS_MACOS =
GUI_LINK_OPTS_CARBON = -framework Carbon
GUI_LINK_OPTS_NOGUI =
GUI_LINK_OPTS_TERM = 
GUI_LINK_OPTS_WX = 
GUI_LINK_OPTS =  $(GUI_LINK_OPTS_SDL)  

NONPLUGIN_OBJS = $(OBJS_THAT_CANNOT_BE_PLUGINS) $(OBJS_THAT_CAN_BE_PLUGINS) $(OBJS_THAT_SUPPORT_OTHER_PLUGINS)  $(GUI_OBJS_SDL) 
PLUGIN_OBJS = 

#
# -------- end configurable options --------------------------
#

all: libgui.a

plugins: $(PLUGIN_OBJS:%.o=libbx_%.la)

libgui.a: $(NONPLUGIN_OBJS)
	rm -f  libgui.a
	ar rv $@ $(NONPLUGIN_OBJS)
	ranlib libgui.a

# standard compile rule for C++ files
.cc.o:
	$(CXX) -c  $(CXXFLAGS) $(LOCAL_CXXFLAGS) $< -o $@

##### building plugins with libtool
%.lo: %.cc
	$(LIBTOOL) --mode=compile $(CXX) -c $(CXXFLAGS) $(LOCAL_CXXFLAGS) $< -o $@

libbx_%.la: %.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH)

libbx_x.la: x.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_X)

libbx_sdl.la: sdl.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_SDL)

libbx_svga.la: svga.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_SVGA)

libbx_beos.la: beos.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_BEOS)

libbx_rfb.la: rfb.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_RFB)

libbx_amigaos.la: amigaos.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_AMIGAOS)

libbx_win32.la: win32.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_WIN32)

libbx_macos.la: macos.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_MACOS)

libbx_carbon.la: carbon.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_CARBON)

libbx_nogui.la: nogui.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_NOGUI)

libbx_term.la: term.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH) $(GUI_LINK_OPTS_TERM)

# special link rules for plugins that require more than one object file
libbx_wx.la: $(GUI_OBJS_WX:.o=.lo) $(GUI_OBJS_WX_SUPPORT:.o=.lo)
	$(LIBTOOL) --mode=link $(CXX) -module $(GUI_OBJS_WX:.o=.lo) $(GUI_OBJS_WX_SUPPORT:.o=.lo) -o libbx_wx.la -rpath $(PLUGIN_PATH)  $(GUI_LINK_OPTS_WX)

#### building DLLs for win32  (tested on cygwin only)
bx_%.dll: %.o
	$(CXX) $(CXXFLAGS) -shared -o $@ $< $(WIN32_DLL_IMPORT_LIBRARY)  $(GUI_LINK_OPTS_WIN32)

bx_wx.dll: $(GUI_OBJS_WX) $(GUI_OBJS_WX_SUPPORT)
	$(CXX) $(CXXFLAGS) -shared -o bx_wx.dll $(GUI_OBJS_WX) $(GUI_OBJS_WX_SUPPORT) $(WIN32_DLL_IMPORT_LIBRARY) `wx-config --libs` -luser32 -lgdi32 -lcomdlg32 -lcomctl32

bx_sdl.dll: $(GUI_OBJS_SDL)
	$(CXX) $(CXXFLAGS) -shared -o bx_sdl.dll $(GUI_OBJS_SDL) $(WIN32_DLL_IMPORT_LIBRARY) $(GUI_LINK_OPTS_SDL)

bx_rfb.dll: $(GUI_OBJS_RFB)
	$(CXX) $(CXXFLAGS) -shared -o bx_rfb.dll $(GUI_OBJS_RFB) $(WIN32_DLL_IMPORT_LIBRARY) $(GUI_LINK_OPTS_RFB)

# no need to build DLLs for beos.o
# no need to build DLLs for x.o

##### end DLL section

clean:
	rm -f  -rf .libs *.la *.a *.lo *.o *.dll

dist-clean: clean
	rm -f  Makefile

###########################################
# all other dependencies generated by
#  gcc -MM -I.. -I../iodev -I../instrument/stubs `wx-config --cxxflags` *.cc | \
#     sed -e 's/\.cc/.cc/g'
#  gcc -MM -I.. -I../iodev -I../instrument/stubs `wx-config --cxxflags` *.cc | \
#     sed -e 's/\.cc/.cc/g' -e 's/\.o:/.lo:/g'
#
# This means that every source file is listed twice, once with a .o rule
# and then again with an identical .lo rule.  The .lo rules are used when
# building plugins.
###########################################
amigaos.o: amigaos.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h \
  ../gui/gui.h ../gui/textconfig.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../iodev/iodev.h ../iodev/pci.h \
  ../iodev/pci2isa.h ../iodev/pci_ide.h ../iodev/pcivga.h \
  ../iodev/pciusb.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h \
  ../iodev/pit82c54.h ../iodev/virt_timer.h ../iodev/serial.h \
  ../iodev/sb16.h ../iodev/unmapped.h ../iodev/ne2k.h \
  ../iodev/guest2host.h ../iodev/slowdown_timer.h ../iodev/extfpuirq.h \
  ../iodev/gameport.h
beos.o: beos.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../memory/memory.h ../pc_system.h \
  ../plugin.h ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../iodev/iodev.h \
  ../iodev/pci.h ../iodev/pci2isa.h ../iodev/pci_ide.h ../iodev/pcivga.h \
  ../iodev/pciusb.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h \
  ../iodev/pit82c54.h ../iodev/virt_timer.h ../iodev/serial.h \
  ../iodev/sb16.h ../iodev/unmapped.h ../iodev/ne2k.h \
  ../iodev/guest2host.h ../iodev/slowdown_timer.h ../iodev/extfpuirq.h \
  ../iodev/gameport.h
carbon.o: carbon.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../memory/memory.h ../pc_system.h \
  ../plugin.h ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../iodev/iodev.h \
  ../iodev/pci.h ../iodev/pci2isa.h ../iodev/pci_ide.h ../iodev/pcivga.h \
  ../iodev/pciusb.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h \
  ../iodev/pit82c54.h ../iodev/virt_timer.h ../iodev/serial.h \
  ../iodev/sb16.h ../iodev/unmapped.h ../iodev/ne2k.h \
  ../iodev/guest2host.h ../iodev/slowdown_timer.h ../iodev/extfpuirq.h \
  ../iodev/gameport.h
gui.o: gui.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../memory/memory.h ../pc_system.h \
  ../plugin.h ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../iodev/iodev.h \
  ../iodev/pci.h ../iodev/pci2isa.h ../iodev/pci_ide.h ../iodev/pcivga.h \
  ../iodev/pciusb.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h \
  ../iodev/pit82c54.h ../iodev/virt_timer.h ../iodev/serial.h \
  ../iodev/sb16.h ../iodev/unmapped.h ../iodev/ne2k.h \
  ../iodev/guest2host.h ../iodev/slowdown_timer.h ../iodev/extfpuirq.h \
  ../iodev/gameport.h ../gui/bitmaps/floppya.h ../gui/bitmaps/floppyb.h \
  ../gui/bitmaps/mouse.h ../gui/bitmaps/reset.h ../gui/bitmaps/power.h \
  ../gui/bitmaps/snapshot.h ../gui/bitmaps/copy.h ../gui/bitmaps/paste.h \
  ../gui/bitmaps/configbutton.h ../gui/bitmaps/cdromd.h \
  ../gui/bitmaps/userbutton.h ../gui/bitmaps/saverestore.h
keymap.o: keymap.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../memory/memory.h ../pc_system.h \
  ../plugin.h ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h
macintosh.o: macintosh.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h \
  ../gui/gui.h ../gui/textconfig.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../iodev/iodev.h ../iodev/pci.h \
  ../iodev/pci2isa.h ../iodev/pci_ide.h ../iodev/pcivga.h \
  ../iodev/pciusb.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h \
  ../iodev/pit82c54.h ../iodev/virt_timer.h ../iodev/serial.h \
  ../iodev/sb16.h ../iodev/unmapped.h ../iodev/ne2k.h \
  ../iodev/guest2host.h ../iodev/slowdown_timer.h ../iodev/extfpuirq.h \
  ../iodev/gameport.h
nogui.o: nogui.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../memory/memory.h ../pc_system.h \
  ../plugin.h ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h icon_bochs.h
rfb.o: rfb.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../memory/memory.h ../pc_system.h \
  ../plugin.h ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../iodev/iodev.h \
  ../iodev/pci.h ../iodev/pci2isa.h ../iodev/pci_ide.h ../iodev/pcivga.h \

=== iodev/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

# Makefile for the iodev component of bochs


.SUFFIXES: .cc

prefix          = /opt/bochs
exec_prefix     = ${prefix}
srcdir          = .

bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
datarootdir     = ${prefix}/share
mandir          = ${datarootdir}/man
man1dir         = $(mandir)/man1
man5dir         = $(mandir)/man5
docdir          = $(datarootdir)/doc/bochs
sharedir        = $(datarootdir)/bochs
top_builddir    = ..
top_srcdir      = ..

SHELL = /bin/sh



CXX = g++
CXXFLAGS = $(BX_INCDIRS) -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT

LDFLAGS = 
LIBS =  -lm
RANLIB = ranlib
PLUGIN_PATH=${exec_prefix}/lib
top_builddir    = ..
LIBTOOL=$(SHELL) $(top_builddir)/libtool
WIN32_DLL_IMPORT_LIBRARY=../dllexports.a

CDROM_OBJS = cdrom.o
IOAPIC_OBJS = ioapic.o
SOUNDLOW_OBJS = 
NETLOW_OBJS = 
USBDEV_OBJS = 
SCSI_OBJS = 

BX_INCDIRS = -I.. -I$(srcdir)/.. -I../instrument/stubs -I$(srcdir)/../instrument/stubs
LOCAL_CXXFLAGS = $(MCH_CFLAGS)

PCIDEV_CXXFLAGS = -I$(srcdir)/../host/linux/pcidev

OBJS_THAT_CANNOT_BE_PLUGINS = \
  devices.o \
  pit82c54.o pit_wrap.o \
  virt_timer.o \
  slowdown_timer.o \
   \
  $(MCH_OBJS) \
  $(IOAPIC_OBJS)

OBJS_THAT_CAN_BE_PLUGINS = \
  pic.o \
  serial.o \
  parallel.o \
  floppy.o \
  keyboard.o \
  vga.o \
  biosdev.o \
  cmos.o \
  harddrv.o \
  dma.o \
  unmapped.o \
  extfpuirq.o \
  speaker.o \
  busmouse.o \
   \
  pci.o pci2isa.o pci_ide.o pcivga.o acpi.o \
   \
  

OBJS_THAT_SUPPORT_OTHER_PLUGINS = \
  scancodes.o \
  serial_raw.o \
  svga_cirrus.o \
  hdimage.o \
  vmware3.o \
  vmware4.o \
  $(CDROM_OBJS) \
  $(SOUNDLOW_OBJS) \
  $(NETLOW_OBJS) \
  $(USBDEV_OBJS) \
  $(SCSI_OBJS)

NONPLUGIN_OBJS = $(OBJS_THAT_CANNOT_BE_PLUGINS) $(OBJS_THAT_CAN_BE_PLUGINS) $(OBJS_THAT_SUPPORT_OTHER_PLUGINS)
PLUGIN_OBJS = 

all: libiodev.a

plugins: $(PLUGIN_OBJS:%.o=libbx_%.la)

libiodev.a: $(NONPLUGIN_OBJS)
	rm -f  libiodev.a
	ar rv $@ $(NONPLUGIN_OBJS)
	ranlib libiodev.a

# standard compile rule for C++ files
.cc.o:
	$(CXX) -c  $(CXXFLAGS) $(LOCAL_CXXFLAGS) $< -o $@

pcidev.o : pcidev.cc
	$(CXX) -c  $(CXXFLAGS) $(LOCAL_CXXFLAGS) $(PCIDEV_CXXFLAGS) $< -o $@

##### building plugins with libtool
%.lo: %.cc
	$(LIBTOOL) --mode=compile $(CXX) -c $(CXXFLAGS) $(LOCAL_CXXFLAGS) $< -o $@

pcidev.lo : pcidev.cc
	$(LIBTOOL) --mode=compile $(CXX) -c $(CXXFLAGS) $(LOCAL_CXXFLAGS) $(PCIDEV_CXXFLAGS) $< -o $@

libbx_%.la: %.lo
	$(LIBTOOL) --mode=link $(CXX) -module $< -o $@ -rpath $(PLUGIN_PATH)

# special link rules for plugins that require more than one object file
libbx_harddrv.la: harddrv.lo hdimage.lo vmware3.lo vmware4.lo $(CDROM_OBJS:.o=.lo)
	$(LIBTOOL) --mode=link $(CXX) -module harddrv.lo hdimage.lo vmware3.lo vmware4.lo $(CDROM_OBJS:.o=.lo) -o libbx_harddrv.la -rpath $(PLUGIN_PATH)

libbx_keyboard.la: keyboard.lo scancodes.lo
	$(LIBTOOL) --mode=link $(CXX) -module keyboard.lo scancodes.lo -o libbx_keyboard.la -rpath $(PLUGIN_PATH)

libbx_pit.la: pit82c54.lo pit_wrap.lo
	$(LIBTOOL) --mode=link $(CXX) -module pit82c54.lo pit_wrap.lo -o libbx_pit.la -rpath $(PLUGIN_PATH)

libbx_sb16.la: sb16.lo $(SOUNDLOW_OBJS:.o=.lo)
	$(LIBTOOL) --mode=link $(CXX) -module sb16.lo $(SOUNDLOW_OBJS:.o=.lo) -o libbx_sb16.la -rpath $(PLUGIN_PATH)

libbx_ne2k.la: ne2k.lo $(NETLOW_OBJS:.o=.lo)
	$(LIBTOOL) --mode=link $(CXX) -module ne2k.lo $(NETLOW_OBJS:.o=.lo) -o libbx_ne2k.la -rpath $(PLUGIN_PATH)

libbx_pcipnic.la: pcipnic.lo $(NETLOW_OBJS:.o=.lo)
	$(LIBTOOL) --mode=link $(CXX) -module pcipnic.lo $(NETLOW_OBJS:.o=.lo) -o libbx_pcipnic.la -rpath $(PLUGIN_PATH)

libbx_serial.la: serial.lo serial_raw.lo
	$(LIBTOOL) --mode=link $(CXX) -module serial.lo serial_raw.lo -o libbx_serial.la -rpath $(PLUGIN_PATH)

libbx_vga.la: vga.lo svga_cirrus.lo
	$(LIBTOOL) --mode=link $(CXX) -module vga.lo svga_cirrus.lo -o libbx_vga.la -rpath $(PLUGIN_PATH)

libbx_pciusb.la: pciusb.lo usb_hid.lo usb_msd.lo scsi_device.lo hdimage.lo cdrom.lo
	$(LIBTOOL) --mode=link $(CXX) -module pciusb.lo usb_hid.lo usb_msd.lo scsi_device.lo hdimage.lo cdrom.lo -o libbx_pciusb.la -rpath $(PLUGIN_PATH)

#### building DLLs for win32  (tested on cygwin only)
bx_%.dll: %.o
	$(CXX) $(CXXFLAGS) -shared -o $@ $< $(WIN32_DLL_IMPORT_LIBRARY)

# special link rules for plugins that require more than one object file
bx_harddrv.dll: harddrv.o hdimage.o vmware3.o vmware4.o $(CDROM_OBJS)
	$(CXX) $(CXXFLAGS) -shared -o bx_harddrv.dll harddrv.o hdimage.o vmware3.o vmware4.o $(CDROM_OBJS) $(WIN32_DLL_IMPORT_LIBRARY)

bx_keyboard.dll: keyboard.o scancodes.o
	$(CXX) $(CXXFLAGS) -shared -o bx_keyboard.dll keyboard.o scancodes.o $(WIN32_DLL_IMPORT_LIBRARY)

bx_pit.dll: pit82c54.o pit_wrap.o
	$(CXX) $(CXXFLAGS) -shared -o bx_pit.dll pit82c54.o pit_wrap.o $(WIN32_DLL_IMPORT_LIBRARY)

bx_sb16.dll: sb16.o $(SOUNDLOW_OBJS)
	$(CXX) $(CXXFLAGS) -shared -o bx_sb16.dll sb16.o $(SOUNDLOW_OBJS) $(WIN32_DLL_IMPORT_LIBRARY) -lwinmm

bx_ne2k.dll: ne2k.o $(NETLOW_OBJS)
	$(CXX) $(CXXFLAGS) -shared -o bx_ne2k.dll ne2k.o $(NETLOW_OBJS) $(WIN32_DLL_IMPORT_LIBRARY)

bx_pcipnic.dll: pcipnic.o $(NETLOW_OBJS)
	$(CXX) $(CXXFLAGS) -shared -o bx_pcipnic.dll pcipnic.o $(NETLOW_OBJS) $(WIN32_DLL_IMPORT_LIBRARY)

bx_gameport.dll: gameport.o
	$(CXX) $(CXXFLAGS) -shared -o bx_gameport.dll gameport.o $(WIN32_DLL_IMPORT_LIBRARY) -lwinmm

bx_serial.dll: serial.o serial_raw.o
	$(CXX) $(CXXFLAGS) -shared -o bx_serial.dll serial.o serial_raw.o $(WIN32_DLL_IMPORT_LIBRARY) -lwsock32

bx_vga.dll: vga.o svga_cirrus.o
	$(CXX) $(CXXFLAGS) -shared -o bx_vga.dll vga.o svga_cirrus.o $(WIN32_DLL_IMPORT_LIBRARY)

bx_pciusb.dll: pciusb.o usb_hid.o usb_msd.o scsi_device.o hdimage.o cdrom.o
	$(CXX) $(CXXFLAGS) -shared -o bx_pciusb.dll pciusb.o usb_hid.o usb_msd.o scsi_device.o hdimage.o cdrom.o $(WIN32_DLL_IMPORT_LIBRARY)

##### end DLL section

clean:
	rm -f  -rf .libs *.lo *.o *.la *.a *.dll

dist-clean: clean
	rm -f  Makefile

###########################################
# dependencies generated by
#  gcc -MM -I.. -I../instrument/stubs *.cc | sed -e 's/\.cc/.cc/g'
#  gcc -MM -I.. -I../instrument/stubs *.cc | \
#     sed -e 's/\.cc/.cc/g' -e 's/\.o:/.lo:/g'
#
# This means that every source file is listed twice, once with a .o rule
# and then again with an identical .lo rule.  The .lo rules are used when
# building plugins.
###########################################
acpi.o: acpi.cc iodev.h ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h \
  ../gui/gui.h ../gui/textconfig.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../iodev/pci.h ../iodev/pci2isa.h \
  ../iodev/pci_ide.h ../iodev/acpi.h ../iodev/pcivga.h ../iodev/pciusb.h \
  ../iodev/vga.h ../iodev/svga_cirrus.h ../iodev/ioapic.h ../cpu/apic.h \
  ../iodev/biosdev.h ../iodev/cmos.h ../iodev/dma.h ../iodev/floppy.h \
  ../iodev/harddrv.h ../iodev/keyboard.h ../iodev/parallel.h \
  ../iodev/pic.h ../iodev/pit_wrap.h ../iodev/pit82c54.h \
  ../iodev/virt_timer.h ../iodev/serial.h ../iodev/sb16.h \
  ../iodev/unmapped.h ../iodev/ne2k.h ../iodev/guest2host.h \
  ../iodev/slowdown_timer.h ../iodev/extfpuirq.h ../iodev/gameport.h
biosdev.o: biosdev.cc iodev.h ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h \
  ../gui/gui.h ../gui/textconfig.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../iodev/pci.h ../iodev/pci2isa.h \
  ../iodev/pci_ide.h ../iodev/acpi.h ../iodev/pcivga.h ../iodev/pciusb.h \
  ../iodev/vga.h ../iodev/svga_cirrus.h ../iodev/ioapic.h ../cpu/apic.h \
  ../iodev/biosdev.h ../iodev/cmos.h ../iodev/dma.h ../iodev/floppy.h \
  ../iodev/harddrv.h ../iodev/keyboard.h ../iodev/parallel.h \
  ../iodev/pic.h ../iodev/pit_wrap.h ../iodev/pit82c54.h \
  ../iodev/virt_timer.h ../iodev/serial.h ../iodev/sb16.h \
  ../iodev/unmapped.h ../iodev/ne2k.h ../iodev/guest2host.h \
  ../iodev/slowdown_timer.h ../iodev/extfpuirq.h ../iodev/gameport.h
busmouse.o: busmouse.cc iodev.h ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h \
  ../gui/gui.h ../gui/textconfig.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../iodev/pci.h ../iodev/pci2isa.h \
  ../iodev/pci_ide.h ../iodev/acpi.h ../iodev/pcivga.h ../iodev/pciusb.h \
  ../iodev/vga.h ../iodev/svga_cirrus.h ../iodev/ioapic.h ../cpu/apic.h \
  ../iodev/biosdev.h ../iodev/cmos.h ../iodev/dma.h ../iodev/floppy.h \
  ../iodev/harddrv.h ../iodev/keyboard.h ../iodev/parallel.h \
  ../iodev/pic.h ../iodev/pit_wrap.h ../iodev/pit82c54.h \
  ../iodev/virt_timer.h ../iodev/serial.h ../iodev/sb16.h \
  ../iodev/unmapped.h ../iodev/ne2k.h ../iodev/guest2host.h \
  ../iodev/slowdown_timer.h ../iodev/extfpuirq.h ../iodev/gameport.h
cdrom_amigaos.o: cdrom_amigaos.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h \
  ../gui/gui.h ../gui/textconfig.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h scsi_commands.h cdrom.h
cdrom_beos.o: cdrom_beos.cc cdrom_beos.h
cdrom.o: cdrom.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../bxversion.h ../gui/siminterface.h ../memory/memory.h ../pc_system.h \
  ../plugin.h ../extplugin.h ../ltdl.h ../gui/gui.h ../gui/textconfig.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h cdrom.h
cmos.o: cmos.cc iodev.h ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h \
  ../gui/gui.h ../gui/textconfig.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../iodev/pci.h ../iodev/pci2isa.h \
  ../iodev/pci_ide.h ../iodev/acpi.h ../iodev/pcivga.h ../iodev/pciusb.h \
  ../iodev/vga.h ../iodev/svga_cirrus.h ../iodev/ioapic.h ../cpu/apic.h \
  ../iodev/biosdev.h ../iodev/cmos.h ../iodev/dma.h ../iodev/floppy.h \
  ../iodev/harddrv.h ../iodev/keyboard.h ../iodev/parallel.h \
  ../iodev/pic.h ../iodev/pit_wrap.h ../iodev/pit82c54.h \
  ../iodev/virt_timer.h ../iodev/serial.h ../iodev/sb16.h \
  ../iodev/unmapped.h ../iodev/ne2k.h ../iodev/guest2host.h \
  ../iodev/slowdown_timer.h ../iodev/extfpuirq.h ../iodev/gameport.h
crc32.o: crc32.cc crc32.h ../config.h
devices.o: devices.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h ../ltdl.h \
  ../gui/gui.h ../gui/textconfig.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h iodev.h ../iodev/pci.h \
  ../iodev/pci2isa.h ../iodev/pci_ide.h ../iodev/acpi.h ../iodev/pcivga.h \
  ../iodev/pciusb.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \

=== memory/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA


.SUFFIXES: .cc

srcdir = .

top_builddir    = ..
top_srcdir      = ..

SHELL = /bin/sh



CXX = g++
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT

LDFLAGS = 
LIBS =  -lm
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
RANLIB = ranlib


BX_INCDIRS = -I.. -I$(srcdir)/.. -I../instrument/stubs -I$(srcdir)/../instrument/stubs

BX_OBJS = \
	memory.o misc_mem.o

BX_INCLUDES = ../bochs.h ../config.h

all: libmemory.a

.cc.o:
	$(CXX) -c $(BX_INCDIRS) $(CXXFLAGS) $< -o $@


libmemory.a: $(BX_OBJS)
	rm -f  libmemory.a
	ar rv $@ $(BX_OBJS)
	$(RANLIB) libmemory.a

$(BX_OBJS): $(BX_INCLUDES)

clean:
	rm -f  *.o
	rm -f  *.a

dist-clean: clean
	rm -f  Makefile

###########################################
# dependencies generated by
#  gcc -MM -I.. -I../instrument/stubs *.cc | sed 's/\.cc/.cc/g'
###########################################
memory.o: memory.cc ../bochs.h ../config.h ../osdep.h ../bx_debug/debug.h \
  ../config.h ../osdep.h ../bxversion.h ../gui/siminterface.h \
  ../memory/memory.h ../pc_system.h ../plugin.h ../extplugin.h \
  ../gui/gui.h ../gui/textconfig.h ../config.h ../gui/keymap.h \
  ../instrument/stubs/instrument.h ../cpu/cpu.h ../cpu/instr.h \
  ../cpu/lazy_flags.h ../disasm/disasm.h ../config.h ../cpu/crregs.h \
  ../cpu/descriptor.h ../cpu/icache.h ../cpu/apic.h ../cpu/i387.h \
  ../fpu/softfloat.h ../config.h ../fpu/tag_w.h ../fpu/status_w.h \
  ../fpu/control_w.h ../cpu/xmm.h ../iodev/iodev.h ../bochs.h \
  ../iodev/pci.h ../iodev/pci2isa.h ../iodev/pci_ide.h ../iodev/acpi.h \
  ../iodev/pcivga.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h \
  ../iodev/pit82c54.h ../iodev/virt_timer.h ../iodev/serial.h \
  ../iodev/unmapped.h ../iodev/ne2k.h ../iodev/guest2host.h \
  ../iodev/slowdown_timer.h ../iodev/extfpuirq.h ../iodev/gameport.h
misc_mem.o: misc_mem.cc ../bochs.h ../config.h ../osdep.h \
  ../bx_debug/debug.h ../config.h ../osdep.h ../bxversion.h \
  ../gui/siminterface.h ../memory/memory.h ../pc_system.h ../plugin.h \
  ../extplugin.h ../gui/gui.h ../gui/textconfig.h ../config.h \
  ../gui/keymap.h ../instrument/stubs/instrument.h ../cpu/cpu.h \
  ../cpu/instr.h ../cpu/lazy_flags.h ../disasm/disasm.h ../config.h \
  ../cpu/crregs.h ../cpu/descriptor.h ../cpu/icache.h ../cpu/apic.h \
  ../cpu/i387.h ../fpu/softfloat.h ../config.h ../fpu/tag_w.h \
  ../fpu/status_w.h ../fpu/control_w.h ../cpu/xmm.h ../iodev/iodev.h \
  ../bochs.h ../iodev/pci.h ../iodev/pci2isa.h ../iodev/pci_ide.h \
  ../iodev/acpi.h ../iodev/pcivga.h ../iodev/vga.h ../iodev/svga_cirrus.h \
  ../iodev/ioapic.h ../cpu/apic.h ../iodev/biosdev.h ../iodev/cmos.h \
  ../iodev/dma.h ../iodev/floppy.h ../iodev/harddrv.h ../iodev/keyboard.h \
  ../iodev/parallel.h ../iodev/pic.h ../iodev/pit_wrap.h \
  ../iodev/pit82c54.h ../iodev/virt_timer.h ../iodev/serial.h \
  ../iodev/unmapped.h ../iodev/ne2k.h ../iodev/guest2host.h \
  ../iodev/slowdown_timer.h ../iodev/extfpuirq.h ../iodev/gameport.h

=== misc/Makefile ===
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA


.SUFFIXES: .cc


SHELL = /bin/sh



CC = gcc
CXX = g++
CFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
CXXFLAGS = -g -O2 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT

LDFLAGS = 
LIBS =  -lm
RANLIB = ranlib


.cc.o:
	$(CXX) -c $(CXXFLAGS) $< -o $@


all: make_cmos_image

make_cmos_image: make_cmos_image.o
	$(LIBTOOL) --mode=link $(CXX) -o $@ $(CXXFLAGS) $(LDFLAGS) make_cmos_image.o

clean:
	rm -f  *.o
	rm -f  make_cmos_image

dist-clean: clean
	rm -f  Makefile

=== doc/docbook/Makefile ===
###################################################################
# doc/docbook/Makefile
# $Id: Makefile.in,v 1.22 2008/02/05 22:33:34 sshwarts Exp $
#
# Builds documentation in various formats from SGML source, and
# allows easy update to the Bochs web site.
#
###################################################################

prefix          = /opt/bochs
srcdir          = .
docdir          = $(prefix)/share/doc/bochs
DOCBOOK2HTML = /scratchbox/devkits/doctools/bin/docbook2html
WGET = wget
TARGZ = bochsdoc.tar.gz
RENDERED_DOC_URL = http://bochs.sf.net/doc/docbook/$(TARGZ)

DESTDIR=

# name of the major documentation sections
SECTIONS=user documentation development
SECTION_HTML=$(SECTIONS:%=%/index.html)

# these files get installed in addition to the sections
EXTRAS=index.html images

# complete list of what to install
INSTALL_LIST=$(SECTIONS) $(EXTRAS)

# ssh to this server to install the docs
REMOTE_HOST=shell.sf.net

# path of preexisting install on the remote server.  Each section
# will go into a subdirectory of $REMOTE_PATH, as in
# $REMOTE_PATH/user.
REMOTE_PATH=/home/groups/b/bo/bochs/htdocs/doc/docbook

# -x means don't try to forward X authorization, it won't work for SF
SSH=ssh -x

all: $(SECTION_HTML)

user/index.html: $(srcdir)/user/user.dbk
	-mkdir -p user
	$(DOCBOOK2HTML) -o user $(srcdir)/user/user.dbk

documentation/index.html: $(srcdir)/documentation/documentation.dbk
	-mkdir -p documentation
	$(DOCBOOK2HTML) -o documentation $(srcdir)/documentation/documentation.dbk

development/index.html: $(srcdir)/development/development.dbk
	-mkdir -p development
	$(DOCBOOK2HTML) -o development $(srcdir)/development/development.dbk

fixperm::
	# fix permissions locally so that tar will install things right
	chmod 664 `find $(INSTALL_LIST) -type f -print`
	chmod 775 `find $(INSTALL_LIST) -type d -print`

copy_from_srcdir::
	for i in $(EXTRAS); do if test -e $(srcdir)/$$i -a ! -e $$i; then cp -r $(srcdir)/$$i $$i; fi; done

$(TARGZ): all copy_from_srcdir fixperm
	rm -f $(TARGZ)
	tar cf - --exclude=CVS --exclude=.cvsignore --exclude=*.dbk $(INSTALL_LIST) | gzip > $(TARGZ)

install: all copy_from_srcdir
	for i in $(DESTDIR)$(docdir); do if test ! -d $$i; then mkdir -p $$i; fi; done
	#for i in $(INSTALL_LIST); do cp -r $$i $(DESTDIR)$(docdir); done
	for i in $(INSTALL_LIST); do tar cf - --exclude=CVS --exclude=.cvsignore --exclude=*.dbk $$i | ( cd $(DESTDIR)$(docdir); tar xf - ); done

test_sfuser:
	@if test "$$SFUSER" = ""; then SFUSER=`whoami`; export SFUSER; fi; \
	  echo Your Source Forge username is $${SFUSER}.
	@echo 'If this is not correct, set the environment variable $$SFUSER.'

# Install the stuff on the remote server using ssh.  It will assume that your
# local username is the same as your Source Forge username, unless you define
# an environment variable SFUSER.
webinst: $(TARGZ)
	# copy to remote
	@echo Installing documentation on $(REMOTE_PATH)
	if test "$$SFUSER" = ""; then SFUSER=`whoami`; export SFUSER; fi; \
	  scp $(TARGZ) $${SFUSER}@$(REMOTE_HOST):$(REMOTE_PATH); \
	  $(SSH) $${SFUSER}@$(REMOTE_HOST) "cd $(REMOTE_PATH) && umask 002 && gunzip -c $(TARGZ) | tar xvf -"

# Download rendered docs in a TAR file from the Bochs web site using wget.
# This is useful for getting documentation onto platforms that don't have
# docbook tools.
dl_docs::
	rm -f $(TARGZ)
	$(WGET) $(RENDERED_DOC_URL)
	gunzip -c $(TARGZ) | tar xvf -
	touch */*.html

clean:
	# remove generated files
	for S in $(SECTIONS); do \
	  rm -f $$S/*.html $$S/*.htm $$S/*.ps $$S/*.pdf $$S/*.out; \
	done
	rm -f  $(TARGZ)

dist-clean: clean
	rm -f  Makefile

=== build/win32/nsis/Makefile ===
# To build an NSIS installer, get NSIS version 2.0a7 from
# http://sourceforge.net/projects/nsis
# Fix the MAKENSIS variable so that you have the correct path.
# Unzip the windows binary release into a subdirectory of this 
# directory, for example "2.0.pre2".  Make sure the VERSION
# variable has the same name as the directory, and in bochs.nsi
# the VER_MAJOR, VER_MINOR, and VER_REV values should also match.
#
# Type make, and it should build an installer called Bochs-${VERSION}.exe

MAKENSIS='c:/Program Files/NSIS/makensis'

VERSION=2.3.7
TARGET=Bochs-${VERSION}.exe
DLXDIR=bochs-${VERSION}/dlxlinux

all: ${TARGET}

fixups::
	if test -f ${DLXDIR}/bochsrc.txt; then mv ${DLXDIR}/bochsrc.txt ${DLXDIR}/bochsrc.bxrc; fi
	rm -f ${DLXDIR}/*.bat

${TARGET}: fixups bochs.nsi
	rm -rf ${TARGET}
	${MAKENSIS} bochs.nsi
	test -f ${TARGET}
	ls -l ${TARGET}

clean::
	rm -rf ${TARGET}

=== debian/changelog ===
bochs (2.3.7-maemo2) unstable; urgency=low

  * Fixed section in debian/control

 -- Toni Nikkanen <toni@tuug.fi>  Wed,  17 Mar 2010 19:45:16 +0200

=== debian/control ===
Source: bochs
Section: user/other
Priority: extra
Maintainer: Toni Nikkanen <toni@tuug.fi>
Build-Depends: debhelper (>= 5), quilt (>= 0.40),
 autoconf, libz-dev, libreadline5-dev | libreadline-dev,
 libx11-dev, libxpm-dev, libice-dev,
 libsm-dev, libsdl1.2-dev
Standards-Version: 3.7.2

Package: bochs
Architecture: any
Depends: ${shlibs:Depends}
Description: IA-32 PC emulator
 Bochs is a highly portable free IA-32 (x86) PC emulator written in C++, that
 runs on most popular platforms. It includes emulation of the Intel x86 CPU,
 common I/O devices, and a custom BIOS.
 .
 Bochs is capable of running most operating systems inside the emulation
 including GNU, GNU/Linux, *BSD, FreeDOS, MSDOS and Windows 95/NT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1





CFLAGS = -O2


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp
	./configure --prefix=/opt/bochs --enable-pci --enable-clgd54xx --enable-apic --with-sdl --enable-all-optimizations



build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make -j2
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	find . -name *.a|xargs rm -vf
	find . -name *.o|xargs rm -vf

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

        # Add here commands to install the package into debian/bochs.
	mkdir -p debian/bochs/opt/bochs/bin
	for i in bochs bximage bxcommit; do if test -f $$i; then install $$i debian/bochs/opt/bochs/bin; else install ./$$i debian/bochs/opt/bochs/bin; fi; done
	for i in debian/bochs/opt/bochs/share/bochs;	do mkdir -p $$i && test -d $$i && test -w $$i; done
	for i in bios/BIOS-bochs-* bios/VGABIOS* ; do if test -f $$i; then install -m 644 $$i debian/bochs/opt/bochs/share/bochs; else install -m 644 ./$$i debian/bochs/opt/bochs/share/bochs; fi; done
	mkdir debian/bochs/opt/bochs/share/bochs/keymaps
	for i in ./gui/keymaps/*.map; do install -m 644 $$i debian/bochs/opt/bochs/share/bochs/keymaps/; done
	for i in debian/bochs/opt/bochs/share/doc/bochs; do mkdir -p $$i && test -d $$i && test -w $$i; done
	for i in CHANGES COPYING README TODO; do if test -f $$i; then install -m 644 $$i debian/bochs/opt/bochs/share/doc/bochs; else install -m 644 ./$$i debian/bochs/opt/bochs/share/doc/bochs; fi; done
	rm -f debian/bochs/opt/bochs/share/doc/bochs/README
	cat ./build/linux/README.linux-binary ./README > debian/bochs/opt/bochs/share/doc/bochs/README
	install -m 644 ./.bochsrc debian/bochs/opt/bochs/share/doc/bochs/bochsrc-sample.txt


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
